package textures.player.items.crudepickaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudePickaxeWalkTextures {
	public static void getTextures(BufferedImage image){
		/*** SOUTH WALK ***/
		Textures.crudePickaxeSheet[32] = Utils.grabSprite(image, 5, 1, 40, 72);
		Textures.crudePickaxeSheet[33] = Utils.grabSprite(image, 6, 1, 40, 72);
		Textures.crudePickaxeSheet[34] = Utils.grabSprite(image, 7, 1, 40, 72);
		Textures.crudePickaxeSheet[35] = Utils.grabSprite(image, 8, 1, 40, 72);
		Textures.crudePickaxeSheet[36] = Utils.grabSprite(image, 9, 1, 40, 72);
		Textures.crudePickaxeSheet[37] = Utils.grabSprite(image, 10, 1, 40, 72);

		/*** NORTH WALK ***/
		Textures.crudePickaxeSheet[38] = Utils.grabSprite(image, 5, 2, 40, 72);
		Textures.crudePickaxeSheet[39] = Utils.grabSprite(image, 6, 2, 40, 72);
		Textures.crudePickaxeSheet[40] = Utils.grabSprite(image, 7, 2, 40, 72);
		Textures.crudePickaxeSheet[41] = Utils.grabSprite(image, 8, 2, 40, 72);
		Textures.crudePickaxeSheet[42] = Utils.grabSprite(image, 9, 2, 40, 72);
		Textures.crudePickaxeSheet[43] = Utils.grabSprite(image, 10, 2, 40, 72);

		/*** WEST WALK ***/
		Textures.crudePickaxeSheet[44] = Utils.grabSprite(image, 5, 3, 40, 72);
		Textures.crudePickaxeSheet[45] = Utils.grabSprite(image, 6, 3, 40, 72);
		Textures.crudePickaxeSheet[46] = Utils.grabSprite(image, 7, 3, 40, 72);
		Textures.crudePickaxeSheet[47] = Utils.grabSprite(image, 8, 3, 40, 72);
		Textures.crudePickaxeSheet[48] = Utils.grabSprite(image, 9, 3, 40, 72);
		Textures.crudePickaxeSheet[49] = Utils.grabSprite(image, 10, 3, 40, 72);

		/*** EAST WALK ***/
		Textures.crudePickaxeSheet[50] = Utils.grabSprite(image, 5, 4, 40, 72);
		Textures.crudePickaxeSheet[51] = Utils.grabSprite(image, 6, 4, 40, 72);
		Textures.crudePickaxeSheet[52] = Utils.grabSprite(image, 7, 4, 40, 72);
		Textures.crudePickaxeSheet[53] = Utils.grabSprite(image, 8, 4, 40, 72);
		Textures.crudePickaxeSheet[54] = Utils.grabSprite(image, 9, 4, 40, 72);
		Textures.crudePickaxeSheet[55] = Utils.grabSprite(image, 10, 4, 40, 72);

		/*** NORTHWEST WALK ***/
		Textures.crudePickaxeSheet[56] = Utils.grabSprite(image, 5, 5, 40, 72);
		Textures.crudePickaxeSheet[57] = Utils.grabSprite(image, 6, 5, 40, 72);
		Textures.crudePickaxeSheet[58] = Utils.grabSprite(image, 7, 5, 40, 72);
		Textures.crudePickaxeSheet[59] = Utils.grabSprite(image, 8, 5, 40, 72);
		Textures.crudePickaxeSheet[60] = Utils.grabSprite(image, 9, 5, 40, 72);
		Textures.crudePickaxeSheet[61] = Utils.grabSprite(image, 10, 5, 40, 72);

		/*** NORTHEAST WALK ***/
		Textures.crudePickaxeSheet[62] = Utils.grabSprite(image, 5, 6, 40, 72);
		Textures.crudePickaxeSheet[63] = Utils.grabSprite(image, 6, 6, 40, 72);
		Textures.crudePickaxeSheet[64] = Utils.grabSprite(image, 7, 6, 40, 72);
		Textures.crudePickaxeSheet[65] = Utils.grabSprite(image, 8, 6, 40, 72);
		Textures.crudePickaxeSheet[66] = Utils.grabSprite(image, 9, 6, 40, 72);
		Textures.crudePickaxeSheet[67] = Utils.grabSprite(image, 10, 6, 40, 72);

		/*** SOUTHWEST WALK ***/
		Textures.crudePickaxeSheet[68] = Utils.grabSprite(image, 5, 7, 40, 72);
		Textures.crudePickaxeSheet[69] = Utils.grabSprite(image, 6, 7, 40, 72);
		Textures.crudePickaxeSheet[70] = Utils.grabSprite(image, 7, 7, 40, 72);
		Textures.crudePickaxeSheet[71] = Utils.grabSprite(image, 8, 7, 40, 72);
		Textures.crudePickaxeSheet[72] = Utils.grabSprite(image, 9, 7, 40, 72);
		Textures.crudePickaxeSheet[73] = Utils.grabSprite(image, 10, 7, 40, 72);

		/*** SOUTHEAST WALK ***/
		Textures.crudePickaxeSheet[74] = Utils.grabSprite(image, 5, 8, 40, 72);
		Textures.crudePickaxeSheet[75] = Utils.grabSprite(image, 6, 8, 40, 72);
		Textures.crudePickaxeSheet[76] = Utils.grabSprite(image, 7, 8, 40, 72);
		Textures.crudePickaxeSheet[77] = Utils.grabSprite(image, 8, 8, 40, 72);
		Textures.crudePickaxeSheet[78] = Utils.grabSprite(image, 9, 8, 40, 72);
		Textures.crudePickaxeSheet[79] = Utils.grabSprite(image, 10, 8, 40, 72);
	}
}
